Skip to main content

Add Bank Account

Register a new bank account for receiving settlement payouts.

POSThttps://api.zenpayz.com/merchant/api/v1/settlements/bank-accounts
Bearer · API key

Request

Headers

HeaderDescription
Authorization
REQUIRED
Bearer {api_key}
X-Signature
REQUIRED
HMAC-SHA256 signature
X-Timestamp
REQUIRED
ISO 8601 timestamp
X-Secret-Salt
REQUIRED
Secret salt for HMAC validation
Content-Type
REQUIRED
application/json

Body Parameters

ParameterTypeDescription
accountHolderName
REQUIRED
stringAccount holder name
accountNumber
REQUIRED
stringBank account number
accountType
REQUIRED
stringCURRENT or SAVINGS
ifscCode
REQUIRED
stringIFSC/Routing code
bankName
REQUIRED
stringName of the bank
branchName
OPTIONAL
stringBank branch name
branchAddress
OPTIONAL
stringBank branch address
isPrimary
OPTIONAL
booleanSet as primary account
swiftCode
OPTIONAL
stringSWIFT/BIC code for international transfers

Response

Success (201 Created)

{
"success": true,
"data": {
"id": "ba_xxxxx",
"accountNumber": "****5678",
"accountHolderName": "Acme Inc",
"accountType": "CURRENT",
"bankName": "Bank of America",
"branchName": "Main Branch",
"ifscCode": "BOFA0001234",
"isPrimary": false,
"createdAt": "2024-01-15T10:30:00.000Z"
}
}

Error Responses

CodeHTTPMessage
VALIDATION_ERROR400Invalid input data
UNAUTHORIZED401Invalid API key
DUPLICATE_ACCOUNT409Account number already registered

Examples

curl -X POST "https://api.zenpayz.com/merchant/api/v1/settlements/bank-accounts" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt" \
-H "Content-Type: application/json" \
-d '{
"accountHolderName": "Acme Inc",
"accountNumber": "9876543210",
"accountType": "CURRENT",
"ifscCode": "BOFA0001234",
"bankName": "Bank of America",
"branchName": "Main Branch",
"isPrimary": false
}'